0

I've been using Ubuntu minimal as my main WSL distro for quite a bit. I like the idea of a rolling minimal distro and benefits it has. Also I like to try something new.

To manage my distribution I use lxrunoffline utility. On it's wiki page it has a bunch of distros, here I got this minimal openSUSE distro.

At this point I'm stuck because it doesn't have a lot of basic utilities I'm used to (which, less, clear, man, curl etc). I tried to use zypper to install some of the with no success, here's the error I got:

-bash-4.4# zypper se less
Retrieving repository 'NON OSS' metadata ...................................[error]
Repository 'NON OSS' is invalid.
[NON OSS|http://download.opensuse.org/tumbleweed/repo/non-oss/] Valid metadata not found at specified URL
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'NON OSS' because of the above error.
Retrieving repository 'OSS' metadata .................................[error]
Repository 'OSS' is invalid.
[OSS|http://download.opensuse.org/tumbleweed/repo/oss/] Valid metadata not found at specified URL
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'OSS' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...
No matching items found.

I found this possible solution but it seems outdated and not very helpful. How do I fix this error and update my software?

Assuming the first problem is fixed - how do I search for such basic packages (less, man, clear etc), where do I even start ?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.